CMSIS-Driver: MCI Driver Strength

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
MCI Driver Strength
MCI Control Codes

Specify the driver strength. More...

## Macros

#define | ARM_MCI_DRIVER_TYPE_A (0x01UL)
| SD UHS-I Driver Type A. More...
#define | ARM_MCI_DRIVER_TYPE_B (0x00UL)
| SD UHS-I Driver Type B (default) More...
#define | ARM_MCI_DRIVER_TYPE_C (0x02UL)
| SD UHS-I Driver Type C. More...
#define | ARM_MCI_DRIVER_TYPE_D (0x03UL)
| SD UHS-I Driver Type D. More...

## Description

Specify the driver strength.

The function ARM_MCI_Control with control = ARM_MCI_DRIVER_STRENGTH specifies with arg the driver type of the SD interface.

See Also
  - MCI Bus Speed Mode

The following codes are defined:

## Macro Definition Documentation

#define ARM_MCI_DRIVER_TYPE_A (0x01UL)

SD UHS-I Driver Type A.

#define ARM_MCI_DRIVER_TYPE_B (0x00UL)

SD UHS-I Driver Type B (default)

#define ARM_MCI_DRIVER_TYPE_C (0x02UL)

SD UHS-I Driver Type C.

#define ARM_MCI_DRIVER_TYPE_D (0x03UL)

SD UHS-I Driver Type D.